## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class TypedefImpl

    java.lang.Object
      EClassImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.TypedefImpl

All Implemented Interfaces:
  Typedef

    public class TypedefImpl

extends EClassImpl
implements Typedef

An implementation of the model object 'Typedef'.

The following features are implemented:

- `Base`
- `Condition`

Field Summary
`protected EClassifier` `base` The cached value of the '`Base`' reference
`protected OCLExpression` `condition` The cached value of the '`Condition`' containment reference

Constructor Summary
`protected` `TypedefImpl()`

Method Summary
`EClassifier` `basicGetBase()`
`NotificationChain` `basicSetCondition(OCLExpression newCondition, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClassifier` `getBase()`
`OCLExpression` `getCondition()`
`void` `setBase(EClassifier newBase)`
`void` `setCondition(OCLExpression newCondition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    protected EClassifier base

  The cached value of the '`Base`' reference.

  See Also:
    `getBase()`

### condition

    protected OCLExpression condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

Constructor Detail

### TypedefImpl

    protected TypedefImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### getBase

    public EClassifier getBase()

  Specified by:
    `getBase` in interface `Typedef`
  Returns:
    the value of the 'Base' reference.
  See Also:
    `Typedef.setBase(EClassifier)`, `ImperativeOCLPackage.getTypedef_Base()`

### basicGetBase

    public EClassifier basicGetBase()

### setBase

    public void setBase(EClassifier newBase)

  Specified by:
    `setBase` in interface `Typedef`
  Parameters:
    `newBase` - the new value of the 'Base' reference.
  See Also:
    `Typedef.getBase()`

### getCondition

    public OCLExpression getCondition()

  Specified by:
    `getCondition` in interface `Typedef`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `Typedef.setCondition(OCLExpression)`, `ImperativeOCLPackage.getTypedef_Condition()`

### basicSetCondition

    public NotificationChain basicSetCondition(OCLExpression newCondition,
                                               NotificationChain msgs)

### setCondition

    public void setCondition(OCLExpression newCondition)

  Specified by:
    `setCondition` in interface `Typedef`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `Typedef.getCondition()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.